const citaten = [
  {
    titel: 'foolish',
    citaat: 'Stay hungry, stay foolish.',
    auteur: 'Steve Jobs',
    taal: 'en'
  },
  {
    titel: 'count days',
    citaat: "Don't count the days, make the days count.",
    auteur: 'Muhammad Ali',
    taal: 'en'
  },
  {
    titel: 'overwinnen',
    citaat: 'Veni, vidi, vici.',
    auteur: 'Julius Caesar',
    taal: 'la'
  },
  {
    titel: 'schatbewaarder',
    citaat: 'De Vlamingen zijn de schatbewaarders van de Nederlandse taal',
    auteur: 'Jan de Hartog',
    taal: 'nl'
  },
  {
    titel: 'vandaag',
    citaat: 'Wat je vandaag moet doen, moet je doen zoals je morgen denkt dat je het had moeten doen.',
    auteur: 'Toon Hermans',
    taal: 'nl'
  },
  {
    titel: 'humor',
    citaat: 'Gevoel voor humor begint bij gevoel voor verdriet.',
    auteur: 'Toon Hermans',
    taal: 'nl',
  },
  {
    titel: 'aimer',
    citaat: "Le verbe aimer est difficile à conjuguer : son passé n'est pas simple, son présent n'est qu'indicatif, et son futur est toujours conditionnel.",
    auteur: 'Jean Cocteau',
    taal: 'fr'
  },
  {
    titel: 'équipe',
    citaat: "Les performances individuelles, ce n'est pas le plus important. On gagne et on perd en équipe.",
    auteur: 'Zinedine Zidane',
    taal: 'fr'
  }

];


// Vraag 1
const printCitaten = (arr_citaten, filterFunction) => {
  sectie_citaten = document.querySelector(".citaten");
  sectie_citaten.innerHTML = "";

  if (filterFunction) {
    arr_citaten = arr_citaten.filter(filterFunction);
  }

  arr_citaten.forEach((citaat) => {
    const artikel = maakCitaatArtikel(citaat);
    sectie_citaten.appendChild(artikel);
  });

};

const maakCitaatArtikel = (citaat) => {
  const citaat_artikel = document.createElement("article");
  const h2 = document.createElement("h2");
  const p_tekst = document.createElement("p");
  const p_auteur = document.createElement("p");

  h2.innerHTML = citaat.titel;
  p_tekst.innerHTML = citaat.citaat;
  p_auteur.innerHTML = "&hyphen; " + citaat.auteur;

  citaat_artikel.appendChild(h2);
  citaat_artikel.appendChild(p_tekst);
  citaat_artikel.appendChild(p_auteur);

  return citaat_artikel;
};

printCitaten(citaten);

// Vraag 2
const knop = document.querySelector("#langeCitaten");
knop.addEventListener("click", () => {
  printCitaten(citaten, filterFunction = (citaat) => citaat.citaat.length > 50);
});

// Vraag 3
const voegCitaatToe = () => {
  const titel = document.getElementById("titel").value;
  const citaat = document.getElementById("citaat").value;
  const auteur = document.getElementById("auteur").value;
  const taal = document.getElementById("taal").value;

  if (!titel || !citaat || !auteur || !taal) {
    clearFeedback();
    addFeedback("Fout: niet alle velden ingevuld!");
    return;
  }

  if (citaat.length < 10) {
    clearFeedback();
    addFeedback("Fout: citaat moet minsten 10 letters lang zijn!");
    return;
  }

  citaten.push({ titel, citaat, auteur, taal });
  clearFeedback();
  addFeedback("Nieuw citaat toegevoegd.");
  document.getElementById("titel").value = "";
  document.getElementById("citaat").value = "";
  document.getElementById("auteur").value = "";
  document.getElementById("taal").value = "";
  printCitaten(citaten);
};

const clearFeedback = () => {
  const feedback = document.querySelector("#feedback");
  feedback.innerHTML = "";
};

const addFeedback = (melding) => {
  const feedback_div = document.querySelector("#feedback");
  const feedback = document.createElement("p");

  feedback.innerHTML = melding;
  feedback_div.appendChild(feedback);
};

document
  .querySelector("form")
  .addEventListener("submit", (event) => {
    event.preventDefault();
    voegCitaatToe();
  });